summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2005-04-28 16:31:49 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2005-04-28 16:31:49 +0000
commit67f7a0936cf3713091b2b6d604bec5760fd816c1 (patch)
tree6b52f0d0d7f595046ea8339e59a264ff1e8fafe3 /tests
parentadd32958fc8d7c6a54d54c9f6d861ff40c91039c (diff)
downloadcoreutils-67f7a0936cf3713091b2b6d604bec5760fd816c1.tar.xz
Check for =u bug.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/chmod/equals6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/chmod/equals b/tests/chmod/equals
index 95a1e6587..a22017eb6 100755
--- a/tests/chmod/equals
+++ b/tests/chmod/equals
@@ -1,6 +1,7 @@
#!/bin/sh
# Make sure chmod mode arguments of the form A=B work properly.
# Before fileutils-4.1.2, some of them didn't.
+# Also, before coreutils-5.3.1, =[ugo] sometimes didn't work.
if test "$VERBOSE" = yes; then
set -x
@@ -38,4 +39,9 @@ for src in u g o; do
done
done
+umask 027
+chmod a=,u=rwx,=u f || fail=1
+set _ `ls -l f`; shift; actual_perms=$1
+test "$actual_perms" = "-rwxr-x---" || fail=1
+
(exit $fail); exit $fail